Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlDiagramViewBuilder

    java.lang.Object
      biouml.model.DefaultDiagramViewBuilder
          biouml.standard.diagram.PathwayDiagramViewBuilder
              biouml.standard.diagram.PathwaySimulationDiagramViewBuilder
                  biouml.plugins.sbml.SbmlDiagramViewBuilder

All Implemented Interfaces:
  DiagramViewBuilder

public class SbmlDiagramViewBuilder
extends PathwaySimulationDiagramViewBuilder

Field Summary

Fields inherited from class biouml.standard.diagram.PathwaySimulationDiagramViewBuilder
`formulaViewBuilder`

Fields inherited from class biouml.model.DefaultDiagramViewBuilder
`log`

Constructor Summary
`SbmlDiagramViewBuilder()`

Method Summary
`javax.swing.Icon` | `getIcon(java.lang.Class type)` Default implimentation of the method.

Methods inherited from class biouml.standard.diagram.PathwaySimulationDiagramViewBuilder
`createDefaultDiagramViewOptions, createEquationView, createEventView, createMathView, createNodeCoreView, createNodeView, createReactionTitle, createStateView, getDiagram`

Methods inherited from class biouml.standard.diagram.PathwayDiagramViewBuilder
`createCellCoreView, createConceptCoreView, createDiagramView, createEdgeView, createEquivalentNodeGroupView, createFunctionCoreView, createGeneCoreView, createProcessCoreView, createProteinCoreView, createReactionCoreView, createReactionTitles, createRNACoreView, createSemanticRelationView, createStateCoreView, createSubstanceCoreView, doLocateReaction, getReactionBrush, getRelationEndTip, getRelationPen, getRelationStartTip, locateReaction`

Methods inherited from class biouml.model.DefaultDiagramViewBuilder
`buildNodes, calcAttachmentPoints, createCompartmentView, createNoteView, doCreateCompartmentView, getIcon, hideElement, isReaction, moveNode, proportion, removeElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbmlDiagramViewBuilder

    public SbmlDiagramViewBuilder()

Method Detail

### getIcon

    public javax.swing.Icon getIcon(java.lang.Class type)

  Description copied from class: `DefaultDiagramViewBuilder`
  Default implimentation of the method. The following convention is used: icon images located in the subdirectory 'resources' relative the specific DiagramViewBuilder. Icon file name is class name with suffix ".gif", first letter is lower case.

  Specified by:
    `getIcon` in interface `DiagramViewBuilder`
  Overrides:
    `getIcon` in class `DefaultDiagramViewBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.